summaryrefslogtreecommitdiff
path: root/extra/scim-pinyin
diff options
context:
space:
mode:
authorParabola <dev@list.parabolagnulinux.org>2011-04-05 14:26:38 +0000
committerParabola <dev@list.parabolagnulinux.org>2011-04-05 14:26:38 +0000
commit415856bdd4f48ab4f2732996f0bae58595092bbe (patch)
treeede2018b591f6dfb477fe9341ba17b9bc000fab9 /extra/scim-pinyin
Tue Apr 5 14:26:38 UTC 2011
Diffstat (limited to 'extra/scim-pinyin')
-rw-r--r--extra/scim-pinyin/PKGBUILD33
-rw-r--r--extra/scim-pinyin/scim-pinyin-0.5.91-cannot-build-against-scim-1.4.73
-rw-r--r--extra/scim-pinyin/scim-pinyin-0.5.91-gcc43.patch44
3 files changed, 80 insertions, 0 deletions
diff --git a/extra/scim-pinyin/PKGBUILD b/extra/scim-pinyin/PKGBUILD
new file mode 100644
index 000000000..3f8e1e149
--- /dev/null
+++ b/extra/scim-pinyin/PKGBUILD
@@ -0,0 +1,33 @@
+# $Id: PKGBUILD 77980 2010-04-19 08:02:17Z allan $
+# Maintainer:
+# Contributer: Gan Lu <rhythm.gan@gmail.com>
+
+pkgname=scim-pinyin
+pkgver=0.5.91
+pkgrel=5
+pkgdesc="Chinese 拼音 (PinYin) input for SCIM"
+arch=('i686' 'x86_64')
+url="http://www.scim-im.org/"
+license=GPL
+depends=('scim>=1.4.7')
+options=('!libtool')
+source=(http://downloads.sourceforge.net/sourceforge/scim/$pkgname-$pkgver.tar.gz
+ scim-pinyin-0.5.91-gcc43.patch)
+md5sums=('fb96d3545090d7681ea03edaced4eccb'
+ 'ef84582d9bac7ac250d2d64cf260ad39')
+
+build() {
+ cd $srcdir/$pkgname-$pkgver
+ patch -Np1 -i $srcdir/scim-pinyin-0.5.91-gcc43.patch
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --disable-static
+ make || return 1
+}
+
+package() {
+ cd $srcdir/$pkgname-$pkgver
+ make DESTDIR=$pkgdir install
+}
+
+
diff --git a/extra/scim-pinyin/scim-pinyin-0.5.91-cannot-build-against-scim-1.4.7 b/extra/scim-pinyin/scim-pinyin-0.5.91-cannot-build-against-scim-1.4.7
new file mode 100644
index 000000000..30a556acf
--- /dev/null
+++ b/extra/scim-pinyin/scim-pinyin-0.5.91-cannot-build-against-scim-1.4.7
@@ -0,0 +1,3 @@
+if /bin/sh ../libtool --silent --tag=CXX --mode=compile g++ -DHAVE_CONFIG_H -I. -I. -I.. -I.. -I../src -I/opt/kde/include -I/opt/qt/include -I. -I/opt/kde/include/skim -I/usr/include/scim-1.0 -DQT_THREAD_SUPPORT -D_REENTRANT -Wnon-virtual-dtor -Wno-long-long -Wundef -ansi -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align -Wconversion -Wchar-subscripts -Wall -W -Wpointer-arith -Wwrite-strings -O2 -march=i686 -mtune=generic -O2 -pipe -Wformat-security -Wmissing-format-attribute -fno-exceptions -fno-check-new -fno-common -MT smartpinyinui.lo -MD -MP -MF ".deps/smartpinyinui.Tpo" -c -o smartpinyinui.lo smartpinyinui.cpp; \
+ then mv -f ".deps/smartpinyinui.Tpo" ".deps/smartpinyinui.Plo"; else rm -f ".deps/smartpinyinui.Tpo"; exit 1; fi
+smartpinyinui.cpp:26:36: error: skimeditshortcutbutton.h: No such file or directory
diff --git a/extra/scim-pinyin/scim-pinyin-0.5.91-gcc43.patch b/extra/scim-pinyin/scim-pinyin-0.5.91-gcc43.patch
new file mode 100644
index 000000000..91a948d5d
--- /dev/null
+++ b/extra/scim-pinyin/scim-pinyin-0.5.91-gcc43.patch
@@ -0,0 +1,44 @@
+diff -up scim-pinyin-0.5.91/src/scim_phrase.cpp.gcc43 scim-pinyin-0.5.91/src/scim_phrase.cpp
+--- scim-pinyin-0.5.91/src/scim_phrase.cpp.gcc43 2008-02-25 16:27:05.000000000 +0800
++++ scim-pinyin-0.5.91/src/scim_phrase.cpp 2008-02-25 16:26:41.000000000 +0800
+@@ -28,6 +28,7 @@
+ #define SCIM_PHRASE_MAX_RELATION 1000
+
+ #include <scim.h>
++#include <cstring>
+ #include "scim_pinyin_private.h"
+ #include "scim_phrase.h"
+
+diff -up scim-pinyin-0.5.91/src/scim_special_table.cpp.gcc43 scim-pinyin-0.5.91/src/scim_special_table.cpp
+--- scim-pinyin-0.5.91/src/scim_special_table.cpp.gcc43 2008-02-25 16:27:55.000000000 +0800
++++ scim-pinyin-0.5.91/src/scim_special_table.cpp 2008-02-25 16:28:08.000000000 +0800
+@@ -22,6 +22,7 @@
+
+ #include <time.h>
+ #include <scim.h>
++#include <cstring>
+ #include "scim_pinyin_private.h"
+ #include "scim_special_table.h"
+
+diff -up scim-pinyin-0.5.91/src/scim_pinyin.cpp.gcc43 scim-pinyin-0.5.91/src/scim_pinyin.cpp
+--- scim-pinyin-0.5.91/src/scim_pinyin.cpp.gcc43 2008-02-25 16:26:10.000000000 +0800
++++ scim-pinyin-0.5.91/src/scim_pinyin.cpp 2008-02-25 16:26:26.000000000 +0800
+@@ -29,6 +29,7 @@
+ #define Uses_SCIM_LOOKUP_TABLE
+
+ #include <scim.h>
++#include <cstring>
+ #include "scim_pinyin.h"
+
+ // Internal functions
+diff -up scim-pinyin-0.5.91/src/scim_pinyin_phrase.cpp.gcc43 scim-pinyin-0.5.91/src/scim_pinyin_phrase.cpp
+--- scim-pinyin-0.5.91/src/scim_pinyin_phrase.cpp.gcc43 2008-02-25 16:27:15.000000000 +0800
++++ scim-pinyin-0.5.91/src/scim_pinyin_phrase.cpp 2008-02-25 16:27:28.000000000 +0800
+@@ -27,6 +27,7 @@
+ #define Uses_SCIM_LOOKUP_TABLE
+
+ #include <scim.h>
++#include <cstring>
+ #include "scim_pinyin_private.h"
+ #include "scim_phrase.h"
+ #include "scim_pinyin.h"